From: "Maciej Barć" <xgqt@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: www-client/torbrowser-launcher/
Date: Thu, 21 Oct 2021 01:24:46 +0000 (UTC) [thread overview]
Message-ID: <1634779480.06a4cc78a79be946908f4830b17484a39d3ef1e5.xgqt@gentoo> (raw)
commit: 06a4cc78a79be946908f4830b17484a39d3ef1e5
Author: Maciej Barć <xgqt <AT> riseup <DOT> net>
AuthorDate: Thu Oct 21 01:24:40 2021 +0000
Commit: Maciej Barć <xgqt <AT> riseup <DOT> net>
CommitDate: Thu Oct 21 01:24:40 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=06a4cc78
www-client/torbrowser-launcher: bump to 0.3.5
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Maciej Barć <xgqt <AT> riseup.net>
www-client/torbrowser-launcher/Manifest | 1 +
.../torbrowser-launcher-0.3.5.ebuild | 52 ++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/www-client/torbrowser-launcher/Manifest b/www-client/torbrowser-launcher/Manifest
index 1a9da1946..150cf6a0d 100644
--- a/www-client/torbrowser-launcher/Manifest
+++ b/www-client/torbrowser-launcher/Manifest
@@ -1 +1,2 @@
DIST torbrowser-launcher-0.3.3.tar.gz 187239 BLAKE2B 8792e5474efe32124b401287bfbe01caef40381a35bb09062903da09c51f246b6092da2a3ffb84531c8f2be1bb45079263b8e46c98c5efa370abc6200289ac99 SHA512 129bcc3006d1cda92ab521c5106cacccf934b964b737f28bd89de6872f061b9e039678ca34b8ed30f348a0a47c3d87661b103f48e19a7edfae72a69512220fe6
+DIST torbrowser-launcher-0.3.5.tar.gz 195445 BLAKE2B 87ba04a5dd49316148631d3da6cf0b328160b817b7c42062bf6eeb1bedfc2cad6276640422139adc2b4031bfb6d0aa9bb93636b8e629e3b53433909bdf962768 SHA512 d9e30a721393d1530bc288fd74925731b71016d34670b6b33e1e76e271f956e2d2e35bd29f81389b1c90db15257e1e6281bd3aeeb9c3cc533ab9a5d109803254
diff --git a/www-client/torbrowser-launcher/torbrowser-launcher-0.3.5.ebuild b/www-client/torbrowser-launcher/torbrowser-launcher-0.3.5.ebuild
new file mode 100644
index 000000000..836bdf7b7
--- /dev/null
+++ b/www-client/torbrowser-launcher/torbrowser-launcher-0.3.5.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{8..9} )
+
+inherit distutils-r1 optfeature xdg
+
+DESCRIPTION="A program to download, updated, and run the Tor Browser Bundle"
+HOMEPAGE="https://github.com/micahflee/torbrowser-launcher"
+
+if [[ "${PV}" == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/micahflee/${PN}.git"
+else
+ SRC_URI="https://github.com/micahflee/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+RESTRICT="test"
+LICENSE="MIT"
+SLOT="0"
+IUSE="apparmor"
+
+RDEPEND="
+ app-crypt/gpgme[python,${PYTHON_USEDEP}]
+ dev-python/PyQt5[${PYTHON_USEDEP},widgets]
+ dev-python/PySocks[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ apparmor? ( sys-libs/libapparmor )
+"
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ # delete apparmor profiles
+ if ! use apparmor; then
+ rm -r "${D}/etc/apparmor.d" || die "Failed to remove apparmor profiles"
+ rmdir "${D}/etc" || die "Failed to remove empty directory"
+ fi
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ elog "To get additional features, some optional runtime dependencies"
+ elog "may be installed:"
+ optfeature "updating over system TOR" net-vpn/tor dev-python/txsocksx
+}
next reply other threads:[~2021-10-21 1:25 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-10-21 1:24 Maciej Barć [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-01-13 7:44 [gentoo-commits] repo/proj/guru:dev commit in: www-client/torbrowser-launcher/ Hayley Hughes
2023-01-13 7:44 Hayley Hughes
2023-01-13 7:44 Hayley Hughes
2022-07-28 5:36 Sergey Alirzaev
2021-12-02 0:21 Hayley Hughes
2021-12-02 0:21 Hayley Hughes
2021-11-26 13:11 Maciej Barć
2021-10-29 19:20 Maciej Barć
2021-06-19 2:42 Maciej Barć
2021-04-03 13:15 Maciej Barć
2021-02-19 5:00 Maciej Barć
2021-02-19 4:54 Maciej Barć
2021-02-19 4:48 Maciej Barć
2020-12-05 23:29 Maciej Barć
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1634779480.06a4cc78a79be946908f4830b17484a39d3ef1e5.xgqt@gentoo \
--to=xgqt@riseup.net \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox